\paper {
  authorMarkup =
    #(make-on-the-fly-markup
      (lambda (layout props m)
        (let ((name (chain-assoc-get 'author:name props #f))
             (trail_name (chain-assoc-get 'author:trail_name props #f))
             (birth_year (chain-assoc-get 'author:birth_year props #f))
             (death_year (chain-assoc-get 'author:death_year props #f))
             (organization (chain-assoc-get 'author:organization props #f)))
          (interpret-markup layout props
            (string-append
              name
              (if trail_name (ly:format " (~a)" trail_name) "")
              (if (and birth_year death_year)
                (ly:format ", (~a‒~a)" birth_year death_year)
                (if birth_year
                  (ly:format ", (*~a)" birth_year)
                  (if death_year (ly:format ", (†~a)" death_year) "")))
              (if organization (ly:format ", ~a" organization) "")
          ))))
      (make-null-markup)
    )
  poetMarkup = \markup { "Worte:" \fromproperty #'author }
  composerMarkup = \markup { "Weise:" \fromproperty #'author }
  poetAndComposerEqualMarkup = \markup { "Worte und Weise:" \fromproperty #'author }
}